# Class DeviceInfo#setEddystoneInfo

DeviceInfo

- Defined in: deviceInfo.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| DeviceInfo#setEddystoneInfo(successCallback, errorCallback, options) Sets Eddystone Info, Each EddystoneFrame has a set of predefined frame properties.

## Class Detail

DeviceInfo#setEddystoneInfo(successCallback, errorCallback, options)
Sets Eddystone Info, Each EddystoneFrame has a set of predefined frame properties.

    // Javascript code
    function setEddystoneInfo () {
     var options = {
        enabled : true,
        frame : DeviceInfo.EddystoneFrame.URL,
        frameData : "https://www.lge.com"
     };
     function successCb(cbObject) {
        console.log("sucess");
        // Do something
     }
     function failureCb(cbObject) {
        var errorCode = cbObject.errorCode;
        var errorText = cbObject.errorText;
        console.log ("Error Code [" + errorCode + "]: " + errorText);
     }
     var deviceinfo = new DeviceInfo();
     deviceinfo.setEddystoneInfo(successCb, failureCb, options);
    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.
{Object} options

  Property | Type | Description | Required
  --- | --- | --- | ---
  enabled | Boolean | Eddystone is enabled true : enabled, false : disabled | required
  frame | String | EddystoneFrame | optional
  frameData | String | UUID of beacon, 32 hexadecimal digits. Only valid when 'enabled' is true and 'frame' is DeviceInfo.EddystoneFrame.UUID URL of beacon. Only valid when 'enabled' is true and 'frame' is DeviceInfo.EddystoneFrame.URL (when 'enabled' is true, it is required) | optional

Since:
  1.4
Returns:

  If the method is successfully executed, success callback function is called without a parameter. If an error occurs, failure callback function is called with a failure callback object as a parameter.

See:
  DeviceInfo.getEddystoneInfo()